Package org.snpeff.fastq

# Class FastqTrimmerMedian

java.lang.Object
org.snpeff.fastq.FastqTrimmer
org.snpeff.fastq.FastqTrimmerMedian

Direct Known Subclasses:
  `FastqTrimmerAdrian`

public class FastqTrimmerMedian extends FastqTrimmer
Trim fastq sequence when median quality drops below a threshold

Author:
  pcingola

## Field Summary

### Fields inherited from class org.snpeff.fastq.FastqTrimmer

`debug`

## Constructor Summary

Constructors
Constructor
Description
`FastqTrimmerMedian(int qualityThreshold, int minBases, int runningMedianLength)`

## Method Summary

### Methods inherited from class org.snpeff.fastq.FastqTrimmer

`trim`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FastqTrimmerMedian

public FastqTrimmerMedian(int qualityThreshold, int minBases, int runningMedianLength)